Name: cmt
Version: 1.15
Release: alt1

Summary: Computer Music Toolkit (CMT)
License: GPL
Group: Sound
Url: http://www.ladspa.org/cmt
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://www.ladspa.org/download/%{name}_src.tgz
Patch: %name-1.14-alt-makefile.patch
Patch1: %name-1.14-alt-silent_build.patch

Requires: ladspa_sdk
Requires: common-licenses

# Automatically added by buildreq on Wed Nov 06 2002
BuildRequires: gcc-c++ ladspa_sdk libstdc++-devel

%description
This toolkit is a set of musical sound processing and synthesis tools
presented as a LADSPA plugin library. See the doc/ directory for
documentation and installation instructions. See http://www.ladspa.org
for LADSPA information.

%define _ladspa_path %_libdir/ladspa

%prep
%setup -q -n %name
%patch -p1
%patch1 -p1

%build
%define _optlevel 3
pushd src
%make_build CFLAGS="-Werror -fPIC $RPM_OPT_FLAGS" PREFIX=%prefix
popd

%install
%__mkdir_p %buildroot%_ladspa_path
pushd src
%make_install PREFIX=%prefix DESTDIR=%buildroot install
popd

# install docs and license
%__rm -f doc/COPYING
%__ln_s -f %_licensedir/LGPL-2 COPYING
%__ln_s -f %_includedir/ladspa.h doc/ladspa.h.txt
%__ln_s -f doc/index.html index.html

%files
%_ladspa_path/*.so
%doc --no-dereference doc README COPYING

%changelog
* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.15-alt1
- 1.15

* Wed Nov 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.14-alt1
- 1.14

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.12-alt3
- Rebuild with gcc-3.2

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.12-alt2
- cleanups

* Sat Nov 10 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.12-alt1
- first build for Sisyphus
